Name:		wmctrl
Version:	1.07
Release:	%mkrel 14
License:	GPLv2+
Group:		System/X11
Url:		http://tomas.styblo.name/wmctrl/
Source:		%name-%version.tar.bz2
Patch0:		wmctrl-1.07-fix-64-bits-behaviour-debian.patch
Summary:	Command line tool to interact with an EWMH/NetWM compatible X Window Manager
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xmu)

%description
Wmctrl provides command line access to almost all the features defined
in the EWMH specification. Using it, it's possible to, for example,
obtain information about the window manager, get a detailed list of
desktops and managed windows, switch and resize desktops, change number
of desktops, make windows full-screen, always-above or sticky, and
activate, close, move, resize, maximize and minimize them.

The command line access makes it easy to automate these tasks and
execute them from any application that is able to run a command in
response to some event.

Please note that wmctrl only works with window managers which implement
this specification.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make

%install
%make_install

%files
%doc AUTHORS COPYING ChangeLog README
%_bindir/*
%_mandir/man1/wmctrl.1.*



%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.07-14.mga8
+ Revision: 1518162
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.07-13.mga7
+ Revision: 1301685
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.07-12.mga6
+ Revision: 937625
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.07-11.mga6
+ Revision: 937172
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.07-10.mga5
+ Revision: 740858
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.07-9.mga5
+ Revision: 690332
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.07-8.mga4
+ Revision: 520152
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.07-7.mga3
+ Revision: 385727
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 10 2011 stormi <stormi> 1.07-6.mga2
+ Revision: 141968
- add debian patch to fix https://bugs.mageia.org/show_bug.cgi?id=2326#c5
+ dmorgan <dmorgan>
- Rebuild to have an higher version than in updates
+ ovitters <ovitters>
- update homepage, clean spec file (define name/version/release, buildroot, defattr)
- imported package wmctrl


* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 1.07-4mdv2011.0
+ Revision: 634785
- simplify BR

* Wed Sep 09 2009 Thierry Vignaud <tv@mandriva.org> 1.07-3mdv2010.0
+ Revision: 434778
- rebuild

* Sat Aug 09 2008 Thierry Vignaud <tv@mandriva.org> 1.07-2mdv2009.0
+ Revision: 269708
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 04 2008 Pascal Terjan <pterjan@mandriva.org> 1.07-1mdv2009.0
+ Revision: 214993
- import wmctrl


